Subject: bug#40269: Emacs should recognize "file:" when opening files

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Sat, 08 Aug 2020 00:09:27 +0800

EZ> That already works: "M-x eww RET" in Emacs, copy the file:// URL to

I want
$ emacs file:///... to do something, anything (non-dumb).

How about having to do M-x find-file instead of being able to enter
things from the command line? Yuck.

And what "major savings" is "breaking" file:/// buying emacs anyway?

I already have enough
$ typeset
emacs_w3m ()
{
    emacsclient -e "(w3m \"$@\")" && wmctrl -a macs
}

And yes I can hit E there to edit the file. That's not the point.

I saying that if chrome, firefox, can deal with emacs' /nurds/burg
then it is only fair that emacs should be able to deal with
chrome, firefox's file:///nurds/burg .

Also I bet emacs isn't "RFC compliant".
I'm sure there is a RFC that says
"Programs MUST translate file:///nurds/burg to a local resource" or something.